Bug 18278 - C4::Items - Remove GetItemLocation
Summary: C4::Items - Remove GetItemLocation
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 18274
Blocks: 18252 18279
  Show dependency treegraph
 
Reported: 2017-03-15 20:13 UTC by Jonathan Druart
Modified: 2017-06-12 13:47 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18278: C4::Items - Remove GetItemLocation (3.23 KB, patch)
2017-03-15 20:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18278: C4::Items - Remove GetItemLocation (3.39 KB, patch)
2017-03-15 20:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18278: C4::Items - Remove GetItemLocation (3.53 KB, patch)
2017-03-15 21:55 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18278: C4::Items - Remove GetItemLocation (3.53 KB, patch)
2017-04-07 12:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18278: C4::Items - Remove GetItemLocation (3.62 KB, patch)
2017-06-02 07:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-03-15 20:13:02 UTC
Same as bug 18274, but for GetItemLocation

This subroutine is no longer in used.
It was previously call from serials/serials-recieve.pl, which was not used and has been removed by
    commit 65b7ad030cd5cd0e3148fbbd1496d31b5cf149f7
    Bug 13423: Remove unused serials-recieve
Comment 1 Jonathan Druart 2017-03-15 20:15:49 UTC
Created attachment 61131 [details] [review]
Bug 18278: C4::Items - Remove GetItemLocation

This subroutine is no longer in used.
It was previously call from serials/serials-recieve.pl, which was not used and has been removed by
    commit 65b7ad030cd5cd0e3148fbbd1496d31b5cf149f7
    Bug 13423: Remove unused serials-recieve

Test plan:
  git grep GetItemLocation
Comment 2 Marc Véron 2017-03-15 20:33:05 UTC
git grep GetItemLocation

Result: GetItemLocation in C4/Items.pm (line 70)
Comment 3 Jonathan Druart 2017-03-15 20:48:42 UTC
Created attachment 61151 [details] [review]
Bug 18278: C4::Items - Remove GetItemLocation

This subroutine is no longer in used.
It was previously call from serials/serials-recieve.pl, which was not used and has been removed by
    commit 65b7ad030cd5cd0e3148fbbd1496d31b5cf149f7
    Bug 13423: Remove unused serials-recieve

Test plan:
  git grep GetItemLocation
Comment 4 Marc Véron 2017-03-15 21:55:19 UTC
Created attachment 61153 [details] [review]
Bug 18278: C4::Items - Remove GetItemLocation

This subroutine is no longer in used.
It was previously call from serials/serials-recieve.pl, which was not used and has been removed by
    commit 65b7ad030cd5cd0e3148fbbd1496d31b5cf149f7
    Bug 13423: Remove unused serials-recieve

Test plan:
  git grep GetItemLocation

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 5 Marcel de Rooy 2017-04-07 06:22:22 UTC
With and without 18274 I get:
Applying: Bug 18278: C4::Items - Remove GetItemLocation
fatal: sha1 information is lacking or useless (C4/Items.pm).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Comment 6 Jonathan Druart 2017-04-07 12:41:35 UTC
Created attachment 61975 [details] [review]
Bug 18278: C4::Items - Remove GetItemLocation

This subroutine is no longer in used.
It was previously call from serials/serials-recieve.pl, which was not used and has been removed by
    commit 65b7ad030cd5cd0e3148fbbd1496d31b5cf149f7
    Bug 13423: Remove unused serials-recieve

Test plan:
  git grep GetItemLocation

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 7 Jonathan Druart 2017-04-07 12:41:58 UTC
Applied ok for me, reattached.
Comment 8 Marcel de Rooy 2017-06-02 07:05:26 UTC
Created attachment 63916 [details] [review]
Bug 18278: C4::Items - Remove GetItemLocation

This subroutine is no longer in used.
It was previously call from serials/serials-recieve.pl, which was not used and has been removed by
    commit 65b7ad030cd5cd0e3148fbbd1496d31b5cf149f7
    Bug 13423: Remove unused serials-recieve

Test plan:
  git grep GetItemLocation

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Jonathan Druart 2017-06-05 14:56:28 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 10 Fridolin SOMERS 2017-06-09 12:12:26 UTC
Pushed to 17.05.x, will be in v17.05.01.

This is enhancement but since it is trivial I prefer to follow master to avoid future rebase conflicts.
Comment 11 Katrin Fischer 2017-06-11 19:44:17 UTC
Patch doesn't apply cleanly to 16.11.x - please rebase for this version if you think it should be included.
Comment 12 Jonathan Druart 2017-06-12 13:47:08 UTC
(In reply to Katrin Fischer from comment #11)
> Patch doesn't apply cleanly to 16.11.x - please rebase for this version if
> you think it should be included.

No, I do not think it should.